Summary: A utility for creating TTY dialog boxes.
Name: dialog
Version: 0.7
Release: 3tr
License: GPL
Group: Environment/Utilities
Source: ftp://AdvancedResearch.org/pub/vstemen/dialog-%{version}.tar.gz
Patch1: dialog-0.7-opt.patch
BuildRoot: /var/tmp/dialog-root

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q
%patch1 -p1 -b .opt
#cd src
#make depend

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1

make DESTDIR=$RPM_BUILD_ROOT install

cp -a $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT/usr/share/man

strip $RPM_BUILD_ROOT/usr/bin/dialog

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README samples
/usr/bin/dialog
/usr/share/man/man1/dialog*

%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.7-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.7-2em
- Rebuilt against glibc 2.3.2.

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 0.7

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved man pages to /usr/share/man, FHS

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- fix loop patch for reading from pipe

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
